#
# Conditional build:
%bcond_with 	glade	# install glade catalog
#
Summary:	Text widget that extends the standard GTK+ 3.x
Summary(pl.UTF-8):	Widget tekstowy rozszerzający standardowy z GTK+ 3.x
Name:		gtksourceview3
Version:	3.8.1
Release:	1
License:	LGPL v2+ (library), GPL v2+ (some language specs files)
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtksourceview/3.8/gtksourceview-%{version}.tar.xz
# Source0-md5:	82e83a25d8cc036aae85952644b805b6
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.34.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk+3-devel >= 3.8.0
BuildRequires:	gtk-doc >= 1.11
BuildRequires:	intltool >= 0.40.0
%if %{with glade}
BuildRequires:	libgladeui-devel >= 3.9.0
%endif
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.34.0
Requires:	gtk+3 >= 3.8.0
Requires:	libxml2 >= 1:2.6.31
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkSourceView is a text widget that extends the standard GTK+ 3.x text
widget GtkTextView. It improves GtkTextView by implementing syntax
highlighting and other features typical of a source editor.

%description -l pl.UTF-8
GtkSourceView to widget tekstowy rozszerzający standardowy widget
tekstowy GtkTextView z GTK+ 3.x. Ulepsza GtkTextView poprzez
zaimplementowanie podświetlania składni i innych możliwości typowych
dla edytora źródeł.

%package apidocs
Summary:	GtkSourceView API documentation
Summary(pl.UTF-8):	Dokumentacja API GtkSourceView
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GtkSourceView API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GtkSourceView.

%package devel
Summary:	Header files for GtkSourceView
Summary(pl.UTF-8):	Pliki nagłówkowe dla GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.34.0
Requires:	gtk+3-devel >= 3.8.0
Requires:	libxml2-devel >= 1:2.6.31

%description devel
Header files for GtkSourceView.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla GtkSourceView.

%package static
Summary:	Static GtkSourceView library
Summary(pl.UTF-8):	Statyczna biblioteka GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GtkSourceView library.

%description static -l pl.UTF-8
Statyczna biblioteka GtkSourceView.

%package -n glade3-gtksourceview
Summary:	Glade3 catalog entry for GtkSourceView library
Summary(pl.UTF-8):	Wpis katalogu Glade3 dla biblioteki GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libgladeui >= 3.9.0

%description -n glade3-gtksourceview
Glade3 catalog entry for GtkSourceView library.

%description -n glade3-gtksourceview -l pl.UTF-8
Wpis katalogu Glade3 dla biblioteki GtkSourceView.

%prep
%setup -q -n gtksourceview-%{version}

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable glade glade-catalog} \
	--enable-gtk-doc \
	--enable-providers \
	--disable-silent-rules \
	--enable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang gtksourceview-3.0

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gtksourceview-3.0.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtksourceview-3.0.so.1
%{_datadir}/gtksourceview-3.0
%{_libdir}/girepository-1.0/GtkSource-3.0.typelib

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gtksourceview-3.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-3.0.so
%{_includedir}/gtksourceview-3.0
%{_pkgconfigdir}/gtksourceview-3.0.pc
%{_datadir}/gir-1.0/GtkSource-3.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtksourceview-3.0.a

%if %{with glade}
%files -n glade3-gtksourceview
%defattr(644,root,root,755)
%{_datadir}/glade3/catalogs/gtksourceview.xml
%endif
%changelog
* Fri Apr 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 34a7480
- updated to 3.8.1

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 792e586
- updated to 3.8.0
- new soname

* Sat Jan 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 53014d3
Update to 3.6.3

* Thu Jan 24 2013 Jakub Bogusz <qboosh@pld-linux.org> d73d87b
- updated to 3.6.2

* Wed Nov 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 42770ca
- updated to 3.6.1

* Thu Sep 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 2a83e14
- versioned gtk+3 dependency, pl for glade3- package

* Tue Sep 25 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 1ef9e70
Updated to 3.6.0

* Tue May 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9aad9e7
- updated to 3.4.2

* Tue May 01 2012 Szymon Siwek <sls@pld-linux.org> 9027a5a
- BR: gtk+3-devel >= 3.4.0

* Mon Apr 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> f13d6cd
- updated to 3.4.1

* Mon Mar 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 03e9d28
- updated to 3.4.0; merged changes from DEVEL

* Sat Nov 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 764cca5
- updated to 3.2.3

* Tue Nov 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 6a1741b
- more verioned install time dependencies

* Sun Oct 16 2011 Łukasz Kieś <kiesiu@pld-linux.org> 8971547
- updated to 3.2.2

* Sun Oct 09 2011 Artur Frysiak <artur@frysiak.net> bfc9abc
- up to 3.2.1

* Tue Sep 27 2011 Łukasz Kieś <kiesiu@pld-linux.org> ff08bc5
- updated to 3.2.0; merged from DEVEL

* Fri Jul 01 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 67ae352
- updated to 3.0.5

* Mon Jun 20 2011 Łukasz Kieś <kiesiu@pld-linux.org> cb0bc5a
- updated to 3.0.4

* Wed May 25 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 582bcd7
- updated to 3.0.3

* Tue Apr 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> b2ed2af
- updated to 3.0.1

